Last Comment Bug 527836 - imap not setting public namespace from prefs correctly
: imap not setting public namespace from prefs correctly
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.0rc1
Assigned To: David :Bienvenu
:
Mentors:
Depends on:
Blocks: 160644 539572
  Show dependency treegraph
 
Reported: 2009-11-10 17:49 PST by David :Bienvenu
Modified: 2010-01-13 22:39 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (1.18 KB, patch)
2009-11-10 17:49 PST, David :Bienvenu
bugmail: review+
standard8: superreview+
standard8: approval‑thunderbird3+
Details | Diff | Review

Description David :Bienvenu 2009-11-10 17:49:57 PST
Created attachment 411588 [details] [diff] [review]
proposed fix

During the big string cleanup/frozen linkages patch, I think we messed up the setting of the public namespace from prefs. Since most users get the namespaces from the server, this isn't a huge issue, but it screws up fakeserver, and the tests that use it, and probably other servers that don't support namespaces. patch upcoming.

If you go look at the 1.8 code, you'll see that the conversion was messed up.

http://mxr.mozilla.org/mozilla1.8/source/mailnews/imap/src/nsImapIncomingServer.cpp#182
Comment 1 David :Bienvenu 2009-11-10 18:03:42 PST
I suspect not fixing this bug will break 3.0 users who try to override the public namespace using prefs. I doubt that it will affect very many users, but I believe it's a fairly safe fix for 3.0
Comment 2 Mark Banner (:standard8) 2009-11-11 01:58:49 PST
I pushed this to get it in for today's nightlies:

http://hg.mozilla.org/comm-central/rev/97b7ef46f894
http://hg.mozilla.org/releases/comm-1.9.1/rev/5c33b2b9a8c4

Note You need to log in before you can comment on or make changes to this bug.